Affiliate Stats
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/affiliates/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/affiliates/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/affiliates/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_affiliates": 1,
"active_affiliates": 0,
"inactive_affiliates": 1,
"new_affiliates": 1,
"new_affiliates_previous": 0,
"commissions_usd": 0,
"commissions_usd_previous": 0,
"commissions_usd_all_time": 0,
"attributed_revenue_usd": 0,
"attributed_revenue_usd_previous": 0,
"attributed_revenue_usd_all_time": 0,
"commissionable_revenue_usd": 0,
"commissionable_revenue_usd_previous": 0,
"commissionable_revenue_usd_all_time": 0,
"attributed_orders": 0,
"skipped_commissions": 0,
"skipped_commissions_by_reason": [],
"average_commission_rate": 0,
"top_earner_usd": 0,
"top_performers": [
{
"id": 1,
"email": "customer@sellauth.test",
"shop_id": 1,
"balance": "100.00",
"affiliate_balance": "0.00",
"affiliate_code": "PARTNER10",
"affiliate_code_set_at": "2026-09-20 15:56:24",
"affiliate_tier_id": null,
"affiliate_referrer_earnings": "0.00",
"created_at": "2026-09-20T15:56:24.000000Z",
"referrals_count": 0,
"affiliate_tier": null
}
],
"balance_mode": "shared",
"pending_payout_requests": 1,
"window_days": 30
}Affiliates
Affiliate Stats
Aggregate stats for the shop’s affiliate program, with 30-day deltas.
GET
/
v1
/
shops
/
{shopId}
/
affiliates
/
stats
Affiliate Stats
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Response
200 - application/json
Example:
1
Example:
0
Example:
1
Example:
1
Example:
0
Example:
0
Example:
0
Example:
0
Example:
0
Example:
0
Example:
0
Example:
0
Example:
0
Example:
0
Example:
0
Example:
0
Example:
[]
Example:
0
Example:
0
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"email": "customer@sellauth.test",
"shop_id": 1,
"balance": "100.00",
"affiliate_balance": "0.00",
"affiliate_code": "PARTNER10",
"affiliate_code_set_at": "2026-09-20 15:56:24",
"affiliate_tier_id": null,
"affiliate_referrer_earnings": "0.00",
"created_at": "2026-09-20T15:56:24.000000Z",
"referrals_count": 0,
"affiliate_tier": null
}
]
Example:
"shared"
Example:
1
Example:
30